[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| BSpline< ORDER, T > Class Template Reference Mathematical Functions |

`#include <vigra/splines.hxx>`

Inheritance diagram for BSpline< ORDER, T >:

## Public Member Functions

| BSpline (unsigned int derivativeOrder=0)
Public Member Functions inherited from BSplineBase< ORDER, T >
| BSplineBase (unsigned int derivativeOrder=0)
unsigned int | derivativeOrder () const
result_type | operator() (argument_type x) const
result_type | operator() (first_argument_type x, second_argument_type derivative_order) const
value_type | operator[] (value_type x) const
ArrayVector< double > const & | prefilterCoefficients () const
double | radius () const

## Additional Inherited Members

Public Types inherited from BSplineBase< ORDER, T >
typedef T | argument_type
typedef T | first_argument_type
typedef T | result_type
typedef unsigned int | second_argument_type
enum | StaticOrder
typedef T | value_type
Static Public Member Functions inherited from BSplineBase< ORDER, T >
static WeightMatrix const & | weights ()

## Detailed Description

### template<int ORDER, class T = double>
class vigra::BSpline< ORDER, T >

Spline functors for arbitrary orders.

Provides the interface of vigra::BSplineBase with a more convenient name – see there for more documentation.

Examples:
  resize.cxx.

## Constructor & Destructor Documentation

## ◆ BSpline()

BSpline | ( | unsigned int | derivativeOrder = `0` | ) |

explicit

Constructor forwarded to the base class constructor..

The documentation for this class was generated from the following file:

- vigra/splines.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0